---
Fuzzer filename: '/src/tarantool/test/fuzz/csv_fuzzer.c'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/tarantool/test/fuzz/csv_fuzzer.c'
      linkageType:     externalLinkage
      functionLinenumber: 8
      functionLinenumberEnd: 23
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'char *'
        - size_t
      constantsTouched: []
      argNames:
        - data
        - size
      BBCount:         6
      ICount:          62
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - calloc
        - csv_create
        - csv_destroy
        - csv_finish_parsing
        - csv_parse_chunk
      functionUses:    0
      BranchProfiles:
        - Branch String:   'test/fuzz/csv_fuzzer.c:12,6'
          Branch Sides:
            - BranchSide:      'test/fuzz/csv_fuzzer.c:13,3'
              BranchSideFuncs: []
            - BranchSide:      'test/fuzz/csv_fuzzer.c:14,9'
              BranchSideFuncs:
                - csv_parse_chunk
                - csv_finish_parsing
                - csv_destroy
                - free
      Callsites:
        - Src:             'test/fuzz/csv_fuzzer.c:10,2'
          Dst:             csv_create
        - Src:             'test/fuzz/csv_fuzzer.c:11,14'
          Dst:             calloc
        - Src:             'test/fuzz/csv_fuzzer.c:17,2'
          Dst:             csv_parse_chunk
        - Src:             'test/fuzz/csv_fuzzer.c:18,2'
          Dst:             csv_finish_parsing
        - Src:             'test/fuzz/csv_fuzzer.c:19,2'
          Dst:             csv_destroy
    - functionName:    calloc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'char *'
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    csv_escape_field
      functionSourceFile: '/src/tarantool/src/lib/csv/csv.c'
      linkageType:     externalLinkage
      functionLinenumber: 384
      functionLinenumberEnd: 410
      functionDepth:   0
      returnType:      size_t
      argCount:        5
      argTypes:
        - 'struct.csv *'
        - 'char *'
        - size_t
        - 'char *'
        - size_t
      constantsTouched: []
      argNames:
        - csv
        - field
        - field_len
        - dst
        - buf_size
      BBCount:         32
      ICount:          195
      EdgeCount:       38
      CyclomaticComplexity: 8
      functionsReached:
        - __assert_fail
        - memchr
      functionUses:    0
      BranchProfiles:
        - Branch String:   'src/lib/csv/csv.c:389,47'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:390,13'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:392,12'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:390,37'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:391,13'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:392,12'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:389,6'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:392,12'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:395,2'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:395,2'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:397,8'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:405,6'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:397,7'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:398,4'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:401,3'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:398,4'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:398,4'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:399,11'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:401,3'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:401,3'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:402,16'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:405,6'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:405,6'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:406,3'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:406,3'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:406,3'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:407,10'
              BranchSideFuncs: []
      Callsites:
        - Src:             'src/lib/csv/csv.c:389,6'
          Dst:             memchr
        - Src:             'src/lib/csv/csv.c:390,6'
          Dst:             memchr
        - Src:             'src/lib/csv/csv.c:391,6'
          Dst:             memchr
        - Src:             'src/lib/csv/csv.c:398,4'
          Dst:             __assert_fail
        - Src:             'src/lib/csv/csv.c:401,3'
          Dst:             __assert_fail
        - Src:             'src/lib/csv/csv.c:406,3'
          Dst:             __assert_fail
    - functionName:    memchr
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'char *'
      argCount:        3
      argTypes:
        - 'char *'
        - int
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __assert_fail
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - 'char *'
        - 'char *'
        - int
        - 'char *'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    8
      BranchProfiles:  []
      Callsites:       []
    - functionName:    csv_feed
      functionSourceFile: '/src/tarantool/src/lib/csv/csv.c'
      linkageType:     externalLinkage
      functionLinenumber: 376
      functionLinenumberEnd: 379
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'struct.csv_iterator *'
        - 'char *'
        - size_t
      constantsTouched: []
      argNames:
        - it
        - buf
        - buf_len
      BBCount:         1
      ICount:          23
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    csv_next
      functionSourceFile: '/src/tarantool/src/lib/csv/csv.c'
      linkageType:     externalLinkage
      functionLinenumber: 310
      functionLinenumberEnd: 372
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'struct.csv_iterator *'
      constantsTouched: []
      argNames:
        - it
      BBCount:         26
      ICount:          304
      EdgeCount:       36
      CyclomaticComplexity: 12
      functionsReached:
        - csv_get_error_status
        - csv_isvalid
        - csv_parse_impl
      functionUses:    0
      BranchProfiles:
        - Branch String:   'src/lib/csv/csv.c:313,6'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:314,3'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:320,6'
              BranchSideFuncs:
                - csv_parse_impl
                - csv_get_error_status
                - csv_isvalid
        - Branch String:   'src/lib/csv/csv.c:320,6'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:325,7'
              BranchSideFuncs:
                - csv_isvalid
                - csv_parse_impl
                - csv_get_error_status
            - BranchSide:      'src/lib/csv/csv.c:353,36'
              BranchSideFuncs:
                - csv_parse_impl
                - csv_get_error_status
        - Branch String:   'src/lib/csv/csv.c:325,7'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:326,4'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:328,8'
              BranchSideFuncs:
                - csv_isvalid
                - csv_parse_impl
                - csv_get_error_status
        - Branch String:   'src/lib/csv/csv.c:328,30'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:328,46'
              BranchSideFuncs:
                - csv_parse_impl
                - csv_get_error_status
            - BranchSide:      'src/lib/csv/csv.c:336,7'
              BranchSideFuncs:
                - csv_parse_impl
                - csv_get_error_status
        - Branch String:   'src/lib/csv/csv.c:328,7'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:329,4'
              BranchSideFuncs:
                - csv_parse_impl
                - csv_get_error_status
            - BranchSide:      'src/lib/csv/csv.c:336,7'
              BranchSideFuncs:
                - csv_parse_impl
                - csv_get_error_status
        - Branch String:   'src/lib/csv/csv.c:336,7'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:337,4'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:344,7'
              BranchSideFuncs:
                - csv_parse_impl
                - csv_get_error_status
        - Branch String:   'src/lib/csv/csv.c:344,7'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:345,4'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:352,2'
              BranchSideFuncs:
                - csv_parse_impl
                - csv_get_error_status
        - Branch String:   'src/lib/csv/csv.c:356,6'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:357,3'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:359,18'
              BranchSideFuncs: []
        - Branch String:   'src/lib/csv/csv.c:361,6'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:362,3'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:365,6'
              BranchSideFuncs: []
        - Branch String:   'src/lib/csv/csv.c:365,6'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:366,3'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:369,14'
              BranchSideFuncs: []
      Callsites:
        - Src:             'src/lib/csv/csv.c:328,34'
          Dst:             csv_isvalid
        - Src:             'src/lib/csv/csv.c:353,21'
          Dst:             csv_parse_impl
        - Src:             'src/lib/csv/csv.c:356,6'
          Dst:             csv_get_error_status
    - functionName:    csv_isvalid
      functionSourceFile: '/src/tarantool/src/lib/csv/csv.c'
      linkageType:     externalLinkage
      functionLinenumber: 78
      functionLinenumberEnd: 81
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'struct.csv *'
      constantsTouched: []
      argNames:
        - csv
      BBCount:         6
      ICount:          41
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    2
      BranchProfiles:
        - Branch String:   'src/lib/csv/csv.c:79,37'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:79,40'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:79,37'
              BranchSideFuncs: []
        - Branch String:   'src/lib/csv/csv.c:79,6'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:79,6'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:80,3'
              BranchSideFuncs: []
      Callsites:       []
    - functionName:    csv_parse_impl
      functionSourceFile: '/src/tarantool/src/lib/csv/csv.c'
      linkageType:     externalLinkage
      functionLinenumber: 127
      functionLinenumberEnd: 271
      functionDepth:   0
      returnType:      'char *'
      argCount:        4
      argTypes:
        - 'struct.csv *'
        - 'char *'
        - 'char *'
        - bool
      constantsTouched: []
      argNames:
        - csv
        - s
        - end
        - firstonly
      BBCount:         101
      ICount:          672
      EdgeCount:       126
      CyclomaticComplexity: 27
      functionsReached:
        - __assert_fail
      functionUses:    2
      BranchProfiles:
        - Branch String:   'src/lib/csv/csv.c:128,6'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:129,3'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:130,2'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:130,2'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:130,2'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:131,2'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:131,2'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:131,2'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:132,2'
              BranchSideFuncs:
                - __assert_fail
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:132,2'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:132,2'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:133,23'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:133,2'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:134,24'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:270,9'
              BranchSideFuncs: []
        - Branch String:   'src/lib/csv/csv.c:134,34'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:134,8'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:134,38'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:136,24'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:137,7'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:138,22'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:137,17'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:137,20'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:151,7'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:136,7'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:138,22'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:151,7'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:139,26'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:139,29'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:140,14'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:139,8'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:140,14'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:141,28'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:142,8'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:143,5'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:146,19'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:151,19'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:151,22'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:157,23'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:151,50'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:152,7'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:157,23'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:152,29'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:153,7'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:157,23'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:153,33'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:153,36'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:154,4'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:151,7'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:154,4'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:157,23'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:159,3'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:161,16'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:168,9'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:178,9'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:189,11'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:162,8'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:163,5'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:164,4'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:168,30'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:168,33'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:174,4'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:168,8'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:170,20'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:174,4'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:178,8'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:180,20'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:184,4'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:189,3'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:191,8'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:249,4'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:257,16'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:269,2'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:191,20'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:191,24'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:193,5'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:191,8'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:193,5'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:206,16'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:196,9'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:197,6'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:200,6'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:206,15'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:207,5'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:209,21'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:212,8'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:213,5'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:215,5'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:217,8'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:223,5'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:226,4'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:249,4'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:249,4'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:250,9'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:250,8'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:251,5'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'src/lib/csv/csv.c:253,21'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:259,8'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:260,5'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:267,4'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:261,9'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:262,6'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:264,13'
              BranchSideFuncs: []
      Callsites:
        - Src:             'src/lib/csv/csv.c:130,2'
          Dst:             __assert_fail
        - Src:             'src/lib/csv/csv.c:131,2'
          Dst:             __assert_fail
        - Src:             'src/lib/csv/csv.c:132,2'
          Dst:             __assert_fail
        - Src:             'src/lib/csv/csv.c:249,4'
          Dst:             __assert_fail
    - functionName:    csv_get_error_status
      functionSourceFile: '/src/tarantool/src/lib/csv/csv.c'
      linkageType:     externalLinkage
      functionLinenumber: 86
      functionLinenumberEnd: 87
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'struct.csv *'
      constantsTouched: []
      argNames:
        - csv
      BBCount:         1
      ICount:          10
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    csv_iterator_create
      functionSourceFile: '/src/tarantool/src/lib/csv/csv.c'
      linkageType:     externalLinkage
      functionLinenumber: 300
      functionLinenumberEnd: 303
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'struct.csv_iterator *'
        - 'struct.csv *'
      constantsTouched: []
      argNames:
        - it
        - csv
      BBCount:         1
      ICount:          17
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    csv_finish_parsing
      functionSourceFile: '/src/tarantool/src/lib/csv/csv.c'
      linkageType:     externalLinkage
      functionLinenumber: 281
      functionLinenumberEnd: 295
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'struct.csv *'
      constantsTouched: []
      argNames:
        - csv
      BBCount:         12
      ICount:          102
      EdgeCount:       15
      CyclomaticComplexity: 5
      functionsReached:
        - csv_isvalid
      functionUses:    1
      BranchProfiles:
        - Branch String:   'src/lib/csv/csv.c:282,6'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:282,6'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:283,7'
              BranchSideFuncs: []
        - Branch String:   'src/lib/csv/csv.c:283,7'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:284,18'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:289,7'
              BranchSideFuncs: []
        - Branch String:   'src/lib/csv/csv.c:289,7'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:290,4'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:291,3'
              BranchSideFuncs: []
      Callsites:
        - Src:             'src/lib/csv/csv.c:282,6'
          Dst:             csv_isvalid
    - functionName:    csv_parse_chunk
      functionSourceFile: '/src/tarantool/src/lib/csv/csv.c'
      linkageType:     externalLinkage
      functionLinenumber: 275
      functionLinenumberEnd: 277
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'struct.csv *'
        - 'char *'
        - 'char *'
      constantsTouched: []
      argNames:
        - csv
        - s
        - end
      BBCount:         3
      ICount:          24
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - csv_parse_impl
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/lib/csv/csv.c:276,2'
          Dst:             csv_parse_impl
    - functionName:    csv_setopt
      functionSourceFile: '/src/tarantool/src/lib/csv/csv.c'
      linkageType:     externalLinkage
      functionLinenumber: 92
      functionLinenumberEnd: 118
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'struct.csv *'
        - int
      constantsTouched: []
      argNames:
        - csv
        - opt
      BBCount:         30
      ICount:          223
      EdgeCount:       33
      CyclomaticComplexity: 5
      functionsReached:
        - __assert_fail
      functionUses:    0
      BranchProfiles:
        - Branch String:   'src/lib/csv/csv.c:95,2'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:97,20'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:100,21'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:103,18'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:106,21'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:109,19'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:112,19'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:115,3'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'src/lib/csv/csv.c:97,20'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:97,20'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:97,20'
              BranchSideFuncs: []
        - Branch String:   'src/lib/csv/csv.c:100,21'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:100,21'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:100,21'
              BranchSideFuncs: []
        - Branch String:   'src/lib/csv/csv.c:103,18'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:103,18'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:103,18'
              BranchSideFuncs: []
        - Branch String:   'src/lib/csv/csv.c:106,21'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:106,21'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:106,21'
              BranchSideFuncs: []
        - Branch String:   'src/lib/csv/csv.c:109,19'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:109,19'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:109,19'
              BranchSideFuncs: []
        - Branch String:   'src/lib/csv/csv.c:112,19'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:112,19'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:112,19'
              BranchSideFuncs: []
      Callsites:
        - Src:             'src/lib/csv/csv.c:115,3'
          Dst:             __assert_fail
    - functionName:    csv_destroy
      functionSourceFile: '/src/tarantool/src/lib/csv/csv.c'
      linkageType:     externalLinkage
      functionLinenumber: 69
      functionLinenumberEnd: 74
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'struct.csv *'
      constantsTouched: []
      argNames:
        - csv
      BBCount:         6
      ICount:          39
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    1
      BranchProfiles:
        - Branch String:   'src/lib/csv/csv.c:70,6'
          Branch Sides:
            - BranchSide:      'src/lib/csv/csv.c:70,6'
              BranchSideFuncs: []
            - BranchSide:      'src/lib/csv/csv.c:71,3'
              BranchSideFuncs: []
      Callsites:       []
    - functionName:    csv_emit_row_empty
      functionSourceFile: '/src/tarantool/src/lib/csv/csv.c'
      linkageType:     InternalLinkage
      functionLinenumber: 44
      functionLinenumberEnd: 46
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'char *'
      constantsTouched: []
      argNames:
        - ctx
      BBCount:         1
      ICount:          8
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    csv_emit_field_empty
      functionSourceFile: '/src/tarantool/src/lib/csv/csv.c'
      linkageType:     InternalLinkage
      functionLinenumber: 50
      functionLinenumberEnd: 54
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'char *'
        - 'char *'
        - 'char *'
      constantsTouched: []
      argNames:
        - ctx
        - field
        - end
      BBCount:         1
      ICount:          16
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    csv_create
      functionSourceFile: '/src/tarantool/src/lib/csv/csv.c'
      linkageType:     externalLinkage
      functionLinenumber: 58
      functionLinenumberEnd: 65
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'struct.csv *'
      constantsTouched: []
      argNames:
        - csv
      BBCount:         1
      ICount:          25
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached:
        - csv_emit_field_empty
        - csv_emit_row_empty
        - realloc
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    realloc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'char *'
      argCount:        2
      argTypes:
        - 'char *'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
...
